package fr.unistra.sil.erp.back.controller.web;

import static fr.unistra.sil.erp.back.WebMvcConfig.WEB_MAPPING_ITEMS;

import fr.unistra.sil.erp.back.model.Item;

import java.util.List;

import fr.unistra.sil.erp.back.repository.IItemsRepository;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */

/**
 * Web Controller for the item list.
 *
 * @author BEAUVAIS ANTOINE
 */
@Controller
public class WebProductsController {

    private final IItemsRepository repository;

    /**
     *
     * @param repository
     */
    public WebProductsController(IItemsRepository repository) {
        this.repository = repository;
    }

    /**
     * Handles the item list view.
     *
     * @param model the view's model.
     * @return the template to use.
     */
    @GetMapping(WEB_MAPPING_ITEMS)
    public String products(Model model) {
        List<Item> li = repository.getAllItems();
        model.addAttribute("items", li);

        return "items";
    }
}
