package fr.unistra.sil.erp.back.repository;

import fr.unistra.sil.erp.back.model.Category;

import java.util.List;

/**
 *
 * @author antoine.beauvais
 */
public interface ICategoriesRepository {

    /**
     * Returns the list of all categories.
     *
     * @return the list of categories, or null if an error occurred.
     */
    List<Category> getCategories();

    /**
     * Retrieves the category with the highest ID.
     * @return the category.
     */
    Category getCategory(int id) throws DatabaseResourceNotFoundException;

    /**
     * Creates a new category in the database.
     * 
     * @param c
     * @return the created Category.
     * @throws fr.unistra.sil.erp.back.repository.DatabaseConnectionException
     * @throws fr.unistra.sil.erp.back.repository.DatabaseUpdateException
     */
    Category createCategory(Category c)
            throws DatabaseConnectionException, DatabaseUpdateException;
}
