package fr.unistra.sil.erp.back.repository;

import fr.unistra.sil.erp.back.model.Stock;
import java.sql.SQLException;

import java.util.List;

/**
 *
 * @author antoine.beauvais
 */
public interface IStocksRepository {
    /**
     * Returns the list of all stocks.
     *
     * @return the list of stocks.
     */
    List<Stock> getStocks();

    /**
     * Returns the stock entry of an item.
     *
     * @param itemId the item's ID.
     * @return the stock line.
     */
    Stock getStockForItem(int itemId);
    
    public Stock insertStock(Stock s) throws SQLException;

    /**
     * Updates the specified stock's quantity.
     * @param stock
     * @throws fr.unistra.sil.erp.back.repository.DatabaseConnectionException
     * @throws fr.unistra.sil.erp.back.repository.DatabaseUpdateException
     */
    void updateStock(Stock stock) throws DatabaseConnectionException, DatabaseUpdateException;
}
